Page MenuHomePhabricator

Remove Twitter support
Closed, ResolvedPublic

Description

The bot has not successfully posted to Twitter since 2023-06-13.

2023-07-31T19:03:35Z Stashbot     ERROR   : Error writing to twitter
Traceback (most recent call last):
  File "/data/project/stashbot/stashbot/sal.py", line 219, in log
    self._tweet(bang, channel_conf)
  File "/data/project/stashbot/stashbot/sal.py", line 378, in _tweet
    client.PostUpdate(update)
  File "/data/project/stashbot/venv-k8s-py39/lib/python3.9/site-packages/twitter/api.py", line 1177, in PostUpdate
    data = self._ParseAndCheckTwitter(resp.content.decode('utf-8'))
  File "/data/project/stashbot/venv-k8s-py39/lib/python3.9/site-packages/twitter/api.py", line 4908, in _ParseAndCheckTwitter
    self._CheckForTwitterError(data)
  File "/data/project/stashbot/venv-k8s-py39/lib/python3.9/site-packages/twitter/api.py", line 4928, in _CheckForTwitterError
    raise TwitterError(data['errors'])
twitter.error.TwitterError: [{'code': 32, 'message': 'Could not authenticate you.'}]

Event Timeline

Mentioned in SAL (#wikimedia-cloud) [2023-11-08T19:16:07Z] <wm-bot> <bd808> Disabled Twitter posting via config (T343157)

Change 973273 had a related patch set uploaded (by BryanDavis; author: Bryan Davis):

[labs/tools/stashbot@master] Remove Twitter support

https://gerrit.wikimedia.org/r/973273

Change 973273 merged by jenkins-bot:

[labs/tools/stashbot@master] Remove Twitter support

https://gerrit.wikimedia.org/r/973273

bd808 changed the task status from Open to In Progress.Fri, Nov 10, 1:01 AM
bd808 claimed this task.

Mentioned in SAL (#wikimedia-cloud) [2023-11-10T01:10:14Z] <wm-bot> <bd808> Updated to 5c3e0a8 and updated venv packages (T340675, T343157)